%define Werror_cflags	%nil

%define	fname	tuxmath_w_fonts

# Summary and description stolen from Debian, thanks - AdamW 2009/01

Summary:	Math game for kids with Tux
Name:		tuxmath
Version:	2.0.3
Release:	%mkrel 7
# have to change with each new release as the number after download.php changes :(
Source0:	http://alioth.debian.org/frs/download.php/3470/%{fname}-%{version}.tar.gz
Patch0:		tuxmath_w_fonts-2.0.3-fix-localedir.patch
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv3+
Group:		Games/Other
BuildRequires:	gettext-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_net-devel
BuildRequires:	librsvg-devel
BuildRequires:	imagemagick
BuildRequires:	libt4k_common-devel
Requires:	t4k_common

%description
"Tux, of Math Command" ("TuxMath", for short) is an educational arcade
game starring Tux, the Linux mascot! Based on the classic arcade game
"Missile Command", Tux must defend his cities. In this case, though,
he must do it by solving math problems.

%prep
%setup -q -n %{fname}-%{version}
%apply_patches

%build
autoreconf -vfi
%configure2_5x	\
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--localedir=%{_datadir}/locale
%make

%install
%makeinstall_std

rm -fr %{buildroot}%{_prefix}/doc

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxMath
GenericName=Math game for kids
GenericName[ru]=Математическая игра для детей
Comment=Math game for kids with Tux
Comment[da]=Matematikspil med Tux for barn
Comment[el]=Παιχνίδι μαθηματικών για παιδιά με τον Tux
Comment[es]=Juego de matematicas para niños mediante Tux
Comment[et]=Tuxiga matemaatikamäng lastele
Comment[eu]=Haurrentzako matematika jokua Tux-ekin
Comment[fi]=Matematiikkapeli lapsille Tuxin kera
Comment[fr]=Jeu de mathématiques avec Tux pour les enfants
Comment[hu]=Matematikai játék gyerekeknek
Comment[it]=Gioco matematico per ragazzi con Tux
Comment[nb]=Mattespill med Tux for barn
Comment[nn]=Mattespel for dei yngste
Comment[pl]=Matematyczna gra z Tuksem dla dzieci
Comment[pt]=Jogo de matemática para miúdos com o Tux
Comment[pt_BR]=Jogo de matemática para crianças, com o Tux
Comment[ro]=Joc de matematică pentru copii
Comment[ru]=Математическая игра с Туксом для детей
Comment[sv]=Matematikspel för barn med Tux
Comment[tr]=Tux ile çocuklar için matematik oyunu
Comment[uk]=Математична гра для дітей з Туксом
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Education;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS doc/changelog doc/README* doc/TODO*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}admin
%{_gamesbindir}/%{name}server
%{_gamesbindir}/%{name}testclient
%{_gamesbindir}/generate_lesson
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Nov 26 2014 alexl <alexl> 2.0.3-7.mga5
+ Revision: 799374
- add GenericName
- add translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-6.mga5
+ Revision: 742341
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-5.mga5
+ Revision: 689983
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.3-4.mga4
+ Revision: 530862
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 wally <wally> 2.0.3-3.mga4
+ Revision: 460511
- add patch to fix missing translations (mga#10871)

* Mon Jan 14 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 384859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 fwang <fwang> 2.0.3-1.mga2
+ Revision: 144833
- fix desktop
- new version 2.0.3

* Sun Mar 27 2011 anaselli <anaselli> 1.9.0-1.mga1
+ Revision: 78121
- imported package tuxmath


* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 1.9.0-1mdv2011.0
+ Revision: 624614
- new version 1.9.0
- fix license
- drop support for old and unsupported mdv releases

* Fri Sep 24 2010 Funda Wang <fwang@mandriva.org> 1.8.0-1mdv2011.0
+ Revision: 580865
- BR rsvg
- BR SDL_net
- new version 1.8.0

* Mon Sep 28 2009 Antoine Ginies <aginies@mandriva.com> 1.7.2-2mdv2010.0
+ Revision: 450503
- bump release

* Sun May 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.2-1mdv2010.0
+ Revision: 374066
- Update to new version 1.7.2

* Sat Jan 03 2009 Adam Williamson <awilliamson@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 323565
- import tuxmath


